---
title: Get a token
slug: monoova-onboarding-api/get-a-token
docTags: 
createdAt: 2026-08-12T05:53:35.435Z
---

{
  "id": "7SKqSJXceB1Cd34ToBMM_",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://sand-api.monoova.com/kyb/auth/token",
    "servers": [
      {
        "url": "https://sand-api.monoova.com/kyb/auth/token",
        "description": "Sandbox URL"
      },
      {
        "url": "https://api.monoova.com/kyb/auth/token",
        "description": "Production URL"
      }
    ],
    "name": "Get a token",
    "description": "Create a token",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "username",
          "type": "string",
          "example": "123456789",
          "description": "maccount"
        },
        {
          "kind": "required",
          "name": "password",
          "type": "string",
          "example": "efca66a9-c49e-420c-9276-31f9e1e4d516",
          "description": "api key"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Token information",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ZfOO--L1l96KyfqGq91CV",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://sand-api.monoova.com/kyb/auth/token \\\n     --header 'accept: application/json' \\\n     --header 'username: 123456789' \\\n     --header 'password: efca66a9-c49e-420c-9276-31f9e1e4d516'"
        },
        {
          "id": "2X9MMd3UYZeD77he1R0yd",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"username\", \"123456789\");\nmyHeaders.append(\"password\", \"efca66a9-c49e-420c-9276-31f9e1e4d516\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://sand-api.monoova.com/kyb/auth/token\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "0oFI6VaybAbUFHOwOcjdA",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sand-api.monoova.com/kyb/auth/token\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"username\"] = \"123456789\"\nrequest[\"password\"] = \"efca66a9-c49e-420c-9276-31f9e1e4d516\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "f-FoRPhzn6dpQEfb_pxqK",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://sand-api.monoova.com/kyb/auth/token\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'username': '123456789',\n   'password': 'efca66a9-c49e-420c-9276-31f9e1e4d516'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ZfOO--L1l96KyfqGq91CV"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Token information\n"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}